JBoss API: Interface DeployerMBean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Interface DeployerMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Subinterfaces:
  J2eeDeployerMBean

All Known Implementing Classes:
  DeployerMBeanSupport

public interface DeployerMBean
extends ServiceMBean

The common interface for services that deploy application components.

Version:
  $Revision: 1.2 $
Author:
  Toby Allsopp (toby.allsopp@peace.com)

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`void` | `deploy(java.lang.String url)`
`java.io.FilenameFilter` | `getDeployableFilter()` Provides a filter that decides whether a file can be deployed by this deployer based on the filename.
`boolean` | `isDeployed(java.lang.String url)`
`void` | `undeploy(java.lang.String url)`

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Method Detail

### getDeployableFilter

    public java.io.FilenameFilter getDeployableFilter()

  Provides a filter that decides whether a file can be deployed by this deployer based on the filename. This is for the benefit of the `AutoDeployer` service.
  Returns:
    a `FilenameFilter` that only `accept`s files with names that can be deployed by this deployer

### deploy

    public void deploy(java.lang.String url)
                throws java.net.MalformedURLException,
                       java.io.IOException,
                       DeploymentException

### undeploy

    public void undeploy(java.lang.String url)
                  throws java.net.MalformedURLException,
                         java.io.IOException,
                         DeploymentException

### isDeployed

    public boolean isDeployed(java.lang.String url)
                       throws java.net.MalformedURLException,
                              DeploymentException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.